import { h } from 'preact';
import { LogoLight } from './logo';
import getComponent from './utils/get-styled-component';
import { transitionIn } from './transition-in';

export const LogoCrate = () => h(
  'div',
  { className: 'mw6 mv3 ph3 pt2 pb3 center br2' },
  h(
    'div',
    { className: 'w-60' },
    h(
      'a',
      { href: '/' },
      h(LogoLight, null)
    )
  )
);

export const Page = transitionIn(getComponent({
  baseClasses: 'transition',
  options: { transitions: ['firstRender'] },
  fn: ({ firstRender }) => firstRender ? 'o-0 translate-y' : 'o-100'
}));

export const PageCrate = getComponent({
  baseClasses: 'no-print-padding mv3 ph3 pt2 pb3 center br2 shadow-1 bg-white',
  options: {
    width: ['wide']
  },
  fn: ({ wide }) => wide ? 'mw7' : 'mw6'
});