import { h, Component } from 'preact';
import Section from './section';
import ComponentCode from './component-code';
import { Dialog } from './../dialog';
import { Button } from '../button';

class Container extends Component {
  constructor(props) {
    super(props);
    this.state = {
      open: false
    };
    this.open = () => this.setState({ open: true });
    this.close = () => this.setState({ open: false });
  }

  render(props, { open }) {
    return h(
      Section,
      { title: 'Dialog' },
      h(
        ComponentCode,
        {
          name: 'Dialog',
          code: `<Dialog doClose={this.close} title="A Dialog">
  Hello there
</Dialog>`
        },
        h(
          Button,
          { onClick: this.open },
          'Open'
        ),
        open && h(
          Dialog,
          { doClose: this.close, title: 'A Dialog' },
          'Hello there'
        )
      )
    );
  }
}

export default Container;